/* Copyright (C)  2005-2008 Infobright Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2.0 as
published by the Free  Software Foundation.

This program is distributed in the hope that  it will be useful, but
WITHOUT ANY WARRANTY; without even  the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License version 2.0 for more details.

You should have received a  copy of the GNU General Public License
version 2.0  along with this  program; if not, write to the Free
Software Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA  */

#ifndef _BHSTRING_H_
#define _BHSTRING_H_


/* It copies the path, add '/' at the trail. */
static void strcpypath(char* dest, char* src)
{
	int len = (!src) ? 0 : (int)strlen(src);
	if (len > 0) {
		if (src[len-1] != '/' && src[len-1] != '\\')
			len ++; // add '/' if not present
		strcpy(dest, src);
	}
	else {
		len = 2;
		dest[0] = '.';
	}
	dest[len - 1] = '/';
	dest[len] = 0;
	return;
}

/* Tested*/

#endif //_BHSTRING_H_
